/*
** Scripts within the customizer controls window.
*/

(function( $ ) {
	wp.customize.bind( 'ready', function() {

	/*
	** Reusable Functions
	*/
		var optPrefix = '#customize-control-cooking_food_blogger_options-';
		
		// Label
		function cooking_food_blogger_customizer_label( id, title ) {

			// Site Identity

			if ( id === 'custom_logo' || id === 'site_icon' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Colors

			if ( id === 'cooking_food_blogger_theme_color' || id === 'background_color' || id === 'background_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Header Image

			if ( id === 'header_image' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			//  Header

			if ( id === 'cooking_food_blogger_header_setting' || id === 'cooking_food_blogger_email' || id === 'cooking_food_blogger_phone_number' || id === 'cooking_food_blogger_button_text' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Slider

			if ( id === 'cooking_food_blogger_slider_setting' || id === 'cooking_food_blogger_social_icon_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Our Services

			if ( id === 'cooking_food_blogger_services_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}

			// Footer

			if ( id === 'cooking_food_blogger_footer_text_setting' ) {
				$( '#customize-control-'+ id ).before('<li class="tab-title customize-control">'+ title  +'</li>');
			} else {
				$( '#customize-control-cooking_food_blogger_options-'+ id ).before('<li class="tab-title customize-control">'+ title +'</li>');
			}
			
		}


	/*
	** Tabs
	*/
         
        // Site Identity
		cooking_food_blogger_customizer_label( 'custom_logo', 'Logo Setup' );
		cooking_food_blogger_customizer_label( 'site_icon', 'Favicon' );

		// Colors
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_theme_color', 'Theme Color' );
		cooking_food_blogger_customizer_label( 'background_color', 'Colors' );
		cooking_food_blogger_customizer_label( 'background_image', 'Image' );

		//Header Image
		cooking_food_blogger_customizer_label( 'header_image', 'Header Image' );

		// Header
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_header_setting', 'Header Text ' );
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_email', 'Email' );
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_phone_number', 'Phone' );
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_button_text', 'Button' );

		//Slider
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_slider_setting', 'Slider' );
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_social_icon_setting', 'Social Icon' );

		// Our Services
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_services_setting', 'Our Services' );

		//Footer
		cooking_food_blogger_customizer_label( 'cooking_food_blogger_footer_text_setting', 'Footer' );
	

	}); // wp.customize ready

})( jQuery );
